Subject: Re: GDK_SCALE=2 GDK_DPI_SCALE=0.5 destroys GTK+ 3 scroll bar

From: Paul Eggert <[email-masked]>
Date: Thu, 14 May 2015 09:38:19 -0700

Thanks, Jan D., for looking into the problem.  It does appear to be a 
mess.  In theory I suppose Emacs should use 
gdk_screen_get_monitor_scale_factor to get the monitor scale factor; but 
in practice the situation is so messed up (and a lot of work would be 
needed to fix it) that it might not be worth bothering.

By the way, on my Fedora 21 x86-64 host, setting GDK_SCALE=2 
GDK_DPI_SCALE=0.5 has no effect on emacs -Q, even with the recent 
fixes.  Perhaps this is due to the races you mentioned?

I installed a minor followup patch to catch some integer overflows (I 
realize GTK+ can crash in those cases and that other integer overflows 
are possible in Emacs, but one thing at a time....).